net/isic - The NetBSD Packages Collection

Ip Stack Integrity Checker (IP, TCP, UDP, ICMP et. al.)

ISIC (and components) is intended to test the integrity of an IP
Stack and its component stacks (TCP, UDP, ICMP et. al.)  It does
this by generating a controlled random packet (controlled randomness...
wacky huh?).  The user can specify he/she/it [I'm tempted to put
'it' before 'she' :-)] wants a stream of TCP packets.  He/she/it
suspects that the target has weak handling of IP Options (aka
Firewall-1).  So he/she/it does a 'tcpsic -s rand -d firewall
-I100'.  And observes the result.

A great use for ISIC would be to fire it through a firewall and
see if the firewall leaks packets.  But of course that would be
illegal because Network Associates owns a bogus patent on that :-)
You could do that by setting the default route on the sending
computer to the firewall.....  But that would be illegal.  (But I
can't legally have a beer so do you think I care about laws?)

By far the most common use for these tools is testing IDS systems.
A day after I took the source offline and moved it to a cvs server,
a half dozen people working on separate home-grown IDS systems
emailed requesting the source be put back up.

Build dependencies

devel/libnet11 pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfisic-0.07.tgz
NetBSD 8.0earmv7hfisic-0.07.tgz
NetBSD 8.0earmv7hfisic-0.07.tgz
NetBSD 8.0i386isic-0.07.tgz
NetBSD 8.0i386isic-0.07.tgz
NetBSD 8.0i386isic-0.07.tgz
NetBSD 8.0powerpcisic-0.07.tgz
NetBSD 8.0powerpcisic-0.07.tgz
NetBSD 8.0powerpcisic-0.07.tgz
NetBSD 8.0powerpcisic-0.07.tgz
NetBSD 8.0x86_64isic-0.07.tgz
NetBSD 8.0x86_64isic-0.07.tgz
NetBSD 8.0x86_64isic-0.07.tgz
NetBSD 9.0aarch64isic-0.07.tgz
NetBSD 9.0aarch64isic-0.07.tgz
NetBSD 9.0aarch64isic-0.07.tgz
NetBSD 9.0alphaisic-0.07.tgz
NetBSD 9.0alphaisic-0.07.tgz
NetBSD 9.0alphaisic-0.07.tgz
NetBSD 9.0earmv6hfisic-0.07.tgz
NetBSD 9.0earmv6hfisic-0.07.tgz
NetBSD 9.0earmv6hfisic-0.07.tgz
NetBSD 9.0earmv6hfisic-0.07.tgz
NetBSD 9.0earmv7hfisic-0.07.tgz
NetBSD 9.0earmv7hfisic-0.07.tgz
NetBSD 9.0earmv7hfisic-0.07.tgz
NetBSD 9.0earmv7hfisic-0.07.tgz
NetBSD 9.0earmv7hfisic-0.07.tgz
NetBSD 9.0i386isic-0.07.tgz
NetBSD 9.0i386isic-0.07.tgz
NetBSD 9.0i386isic-0.07.tgz
NetBSD 9.0mips64ebisic-0.07.tgz
NetBSD 9.0mips64ebisic-0.07.tgz
NetBSD 9.0mips64ebisic-0.07.tgz
NetBSD 9.0powerpcisic-0.07.tgz
NetBSD 9.0powerpcisic-0.07.tgz
NetBSD 9.0powerpcisic-0.07.tgz
NetBSD 9.0powerpcisic-0.07.tgz
NetBSD 9.0sparc64isic-0.07.tgz
NetBSD 9.0sparc64isic-0.07.tgz
NetBSD 9.0sparc64isic-0.07.tgz
NetBSD 9.0sparcisic-0.07.tgz
NetBSD 9.0x86_64isic-0.07.tgz
NetBSD 9.0x86_64isic-0.07.tgz
NetBSD 9.0x86_64isic-0.07.tgz
NetBSD 9.0x86_64isic-0.07.tgz
NetBSD 9.0x86_64isic-0.07.tgz
NetBSD 9.0x86_64isic-0.07.tgz
NetBSD 9.0x86_64isic-0.07.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.